JGraph X 1.3.0.0

## com.mxgraph.layout.hierarchical.model
Class mxGraphHierarchyRank

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              java.util.HashSet<E>
                  java.util.LinkedHashSet<mxGraphAbstractHierarchyCell>
                      com.mxgraph.layout.hierarchical.model.mxGraphHierarchyRank

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<mxGraphAbstractHierarchyCell>, java.util.Collection<mxGraphAbstractHierarchyCell>, java.util.Set<mxGraphAbstractHierarchyCell>

    public class mxGraphHierarchyRank

extends java.util.LinkedHashSet<mxGraphAbstractHierarchyCell>

An abstraction of a rank in the hierarchy layout. Should be ordered, perform remove in constant time and contains in constant time

See Also:
  Serialized Form

Constructor Summary
`mxGraphHierarchyRank()`

Method Summary

Methods inherited from class java.util.HashSet
`add, clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### mxGraphHierarchyRank

    public mxGraphHierarchyRank()

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.